## scribus 1.4.0.dfsg+r17300

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
#its not likely 2.4.x will work any more
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#IF(WIN32)
#  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#    MESSAGE(FATAL_ERROR "Windows builds require CMake 2.6")
#  ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#ENDIF(WIN32)

#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

#RPATH setup - more below too
IF (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_RPATH TRUE)
ELSE (WANT_NORPATH OR WANT_DISTROBUILD)
    SET(CMAKE_SKIP_BUILD_RPATH TRUE)
    SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
ENDIF (WANT_NORPATH OR WANT_DISTROBUILD)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########

# CHECK_C_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" C_HAVE_PIC)
# CHECK_CXX_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" CXX_HAVE_PIC)
# IF (CXX_HAVE_PIC AND C_HAVE_PIC)
#     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
#     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
# ELSE (CXX_HAVE_PIC AND C_HAVE_PIC)
#     MESSAGE(FATAL_ERROR "Shared library support is missing")
# ENDIF (CXX_HAVE_PIC AND C_HAVE_PIC)

# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#Project Setup
PROJECT(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "4")
SET (VERSION_PATCH "1")
SET (VERSION_SUFFIX "svn")
SET (VERSION ${VERSION_MAJOR})
IF (VERSION_MINOR GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_MINOR})
ENDIF (VERSION_MINOR GREATER -1)
IF (VERSION_PATCH GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_PATCH})
ENDIF (VERSION_PATCH GREATER -1)
IF (VERSION_SUFFIX)
  SET (VERSION ${VERSION}.${VERSION_SUFFIX})
ENDIF (VERSION_SUFFIX)
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
SET(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

MESSAGE(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)
IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)
  MESSAGE(STATUS "Found Snow Leopard Target: Apple, 64 bit, X86")
  UNSET(ARCH_X86)
  SET(ARCH_X86_64 1)
  SET(APPLE_10_6_X 1 CACHE TYPE BOOL)
ENDIF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
IF (_machine_sparc_64)
    MESSAGE(STATUS "Found target SPARC 64")
    SET(ARCH_SPARC_64 1)
ENDIF (_machine_sparc_64)

STRING(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
IF (_machine_mips_64)
    MESSAGE(STATUS "Found target MIPS 64")
    SET(ARCH_MIPS_64 1)
ENDIF (_machine_mips_64)

STRING(REGEX MATCH "(mips-*)|(MIPS-*)" _machine_mips "${MACHINE}")
IF (_machine_mips)
    MESSAGE(STATUS "Found target MIPS")
    SET(ARCH_MIPS 1)
ENDIF (_machine_mips)

STRING(REGEX MATCH "(hppa-*)" _machine_hppa "${MACHINE}")
IF (_machine_hppa)
    MESSAGE(STATUS "Found target HPPA")
    SET(ARCH_HPPA 1)
ENDIF (_machine_hppa)

STRING(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

STRING(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
IF (_machine_ppc_64)
    MESSAGE(STATUS "Found target PPC64")
    SET(ARCH_PPC_64 1)
ENDIF (_machine_ppc_64)

STRING(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
IF (_machine_sparc)
    MESSAGE(STATUS "Found target Sparc")
    SET(ARCH_SPARC 1)
ENDIF (_machine_sparc)

STRING(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
IF (_machine_sparcv9)
    MESSAGE(STATUS "Found target Sparc v9")
    SET(ARCH_SPARCV9 1)
ENDIF (_machine_sparcv9)

STRING(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
IF (_machine_sparc64)
    MESSAGE(STATUS "Found target Sparc64")
    SET(ARCH_SPARC64 1)
    SET(ARCH64BIT 1)
ENDIF (_machine_sparc64)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 

MESSAGE(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
IF (NOT BUILD_OSX_BUNDLE)
  SET(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
ENDIF (NOT BUILD_OSX_BUNDLE)

#Simplify future conditionals for Apple
IF (APPLE AND BUILD_OSX_BUNDLE)
  SET(APPLEBUNDLE TRUE CACHE TYPE BOOL)
ENDIF (APPLE AND BUILD_OSX_BUNDLE)

#Announce we cached a version request before, overridden below for OSX
IF(TAG_VERSION)
  IF (NOT APPLEBUNDLE)
    MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  ENDIF (NOT APPLEBUNDLE)
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)

#Remove version tags on OSX so our bundle is Scribus.app
IF (APPLEBUNDLE)
  IF (WANT_VERSIONING OR CACHED_VERSIONING)
    MESSAGE(STATUS "Ignoring version tag on OSX when building bundle")
    SET(WANT_VERSIONING 0)
    SET(CACHED_VERSIONING 0)
  ENDIF (WANT_VERSIONING OR CACHED_VERSIONING)
ENDIF (APPLEBUNDLE)

#Store our version string if require
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

IF (APPLEBUNDLE)
  IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    # all ok
  ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # add "/Contents" subpath
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
    ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # no bundle name spcified, use appname and version
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
    ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
  ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")

  MESSAGE(STATUS "APPLEBUNDLE install prefix: ${CMAKE_INSTALL_PREFIX}")
ENDIF (APPLEBUNDLE)


#Setp all the directories we will use
#MAN
CMAKE_POLICY(SET CMP0005 OLD)
SET(MANDIR "share/man/")
IF(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/")
ELSE(WANT_VERSIONING)
    SET(SHAREDIR "share/${MAIN_DIR_NAME}/")
ENDIF(WANT_VERSIONING)
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")

#SHARE - use the default on Apple as TAG_VERSION is empty
IF(WIN32 OR OS2)
  SET(DOCDIR "share/doc/")
ELSE (WIN32 OR OS2)
  IF(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
  ELSE(TAG_VERSION OR BUILD_OSX_BUNDLE)
        IF(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}/")
        ELSE(NOT WANT_VERSIONING)
            SET(DOCDIR "share/doc/${MAIN_DIR_NAME}-${VERSION}/")
        ENDIF(NOT WANT_VERSIONING)
  ENDIF (TAG_VERSION OR BUILD_OSX_BUNDLE)
ENDIF (WIN32 OR OS2)
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")

#ICON
IF(WIN32)
  SET(ICONDIR "share/icons/")
ELSE(WIN32)
  SET(ICONDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")

#SAMPLES
SET(SAMPLESDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
ADD_DEFINITIONS("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")

#SCRIPTS
SET(SCRIPTSDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
ADD_DEFINITIONS("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")

#TEMPLATES
IF(WIN32)
  SET(TEMPLATEDIR "share/templates/")
ELSE(WIN32)
  SET(TEMPLATEDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")

#DESKTOP
SET(DESKTOPDIR "share/applications/")
ADD_DEFINITIONS("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")

# APPLICATION_DATA_DIR
# It allows specify the user configuration directory in the compile time.
# Example: I want to use special ~/.scribus135svn config directory for my trunk
#          cmake -DAPPLICATION_DATA_DIR=.scribus135svn ...
IF (APPLICATION_DATA_DIR)
	MESSAGE(STATUS "Using ApplicationDataDir ${APPLICATION_DATA_DIR} instead of the platform default.")
    ADD_DEFINITIONS("-DAPPLICATION_DATA_DIR=\\\"${APPLICATION_DATA_DIR}\\\"")
ELSE (APPLICATION_DATA_DIR)
    MESSAGE(STATUS "Using standard ApplicationDataDir. You can change it with -DAPPLICATION_DATA_DIR")
ENDIF (APPLICATION_DATA_DIR)

#LIB LOCATION - lib or lib64 normally
#LIB
IF(WANT_LIB64)
  IF(NOT ARCH_X86_64)

=== scribus/CMakeLists.txt ===
IF(WIN32)
  ADD_DEFINITIONS(-DQT_DLL)
ENDIF(WIN32)

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(dtd)
ADD_SUBDIRECTORY(manpages)
ADD_SUBDIRECTORY(colormgmt)
ADD_SUBDIRECTORY(profiles)
ADD_SUBDIRECTORY(styles)
ADD_SUBDIRECTORY(text)
ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(desaxe)
ADD_SUBDIRECTORY(unicodemap)
IF (WANT_DESIGNER)
  ADD_SUBDIRECTORY(designer)
ENDIF (WANT_DESIGNER)

SET(SCRIBUS_UI_SRC
  aboutplugins.ui
  aligndistribute.ui
  charselect.ui
  charselectenhanced.ui
  cmsprefsbase.ui
  docitemattrprefs.ui
  docsections.ui
  gtfiledialog.ui
  guidemanager.ui
  hysettingsBase.ui
  insertaframe.ui
  latexeditor.ui
  measurementsbase.ui
  multipleduplicate.ui
  multiprogressdialog.ui
  nftdialog.ui
  nftwidget.ui
  pageitemattributes.ui
  patterndialog.ui
  picsearch.ui
  picsearchoptions.ui
  picstatus.ui
  pluginmanagerprefsgui.ui
  polygonwidgetbase.ui
  printdialogbase.ui
  replacecolors.ui
  replaceonecolor.ui
  selectobjects.ui
  shortcutwidget.ui
  smcstylewidget.ui
  smlinestylewidget.ui
  smpstylewidget.ui
  smreplacedia.ui
  smstyleimport.ui
  stylemanager.ui
  tabdisplay.ui
  tabexternaltoolswidget.ui
  tabgeneral.ui
  tabkeyboardshortcutswidget.ui
  tabmiscellaneous.ui
  tabprinter.ui
  tabscrapbook.ui
  tocindexprefs.ui
  ui/copypagetomasterpage.ui
  ui/createrange.ui
  ui/helpbrowser.ui
  unicodesearch.ui
  useprintermarginsdialog.ui
)

SET(SCRIBUS_MOC_CLASSES
  about.h
  aboutplugins.h
  actionmanager.h
  adjustcmsdialog.h
  aligndistribute.h
  alignselect.h
  annot.h
  annota.h
  applytemplatedialog.h
  arrowchooser.h
  autoform.h
  autoformbuttongroup.h
  basepointwidget.h
  bookmarkpalette.h
  bookmwin.h
  buttonicon.h
  canvas.h
  canvasgesture_rulermove.h
  canvasmode.h
  canvasmode_edit.h
  canvasmode_legacy.h
  canvasmode_measurements.h
  canvasmode_normal.h
  charselect.h
  charselectenhanced.h
  chartablemodel.h
  chartableview.h
  charzoom.h
  checkDocument.h
  cmsprefs.h
  cmykfw.h
  collect4output.h
  colorblind.h
  colorchart.h
  colorcombo.h
  colorlistbox.h
  colorm.h
  commonstrings.h
  contextmenu.h
  cpalette.h
  cupsoptions.h
  curvewidget.h
  customfdialog.h
  dasheditor.h
  dcolor.h
  deferredtask.h
  delpages.h
  docinfo.h
  docitemattrprefs.h
  docsections.h
  editor.h
  effectsdialog.h
  extimageprops.h
  fileloader.h
  filesearch.h
  filewatcher.h
  fontcombo.h
  fontlistmodel.h
  fontlistview.h
  fontprefs.h
  fontreplacedialog.h
  gradienteditor.h
  gtdialogs.h
  gtfiledialog.h
  guidemanager.h
  guidesdelegate.h
  guidesmodel.h
  helpbrowser.h
  hruler.h
  hyask.h
  hyphenator.h
  hysettings.h
  imageinfodialog.h
  insertTable.h
  insertaframe.h
  inspage.h
  javadocs.h
  latexeditor.h
  latexhelpers.h
  layers.h
  loadsaveplugin.h
  loremipsum.h
  marginwidget.h
  margindialog.h
  masterpagepalette.h
  measurements.h
  menumanager.h
  mergedoc.h
  missing.h
  movepage.h
  multipleduplicate.h
  multiprogressdialog.h
  navigator.h
  newfile.h
  newtemp.h
  nftdialog.h
  nftwidget.h
  nodeeditpalette.h
  observable.h
  oneclick.h
  outlinepalette.h
  pageitem.h
  pageitem_imageframe.h
  pageitem_latexframe.h
  pageitem_line.h
  pageitem_pathtext.h
  pageitem_polygon.h
  pageitem_polyline.h
  pageitem_textframe.h
  pageitemattributes.h
  pageitempointer.h
  pagelayout.h
  pagepalette.h
  pageselector.h
  patterndialog.h
  pdflib.h
  pdflib_core.h
  pdfopts.h
  picsearch.h
  picsearchoptions.h
  picstatus.h
  pluginmanager.h
  pluginmanagerprefsgui.h
  polygonwidget.h
  polyprops.h
  prefs.h
  prefsdialogbase.h
  prefsmanager.h
  prefspanel.h
  preview.h
  printdialog.h
  propertiespalette.h
  pslib.h
  query.h
  reformdoc.h
  replacecolors.h
  replaceonecolor.h
  rulermover.h
  sampleitem.h
  scfilewidget.h
  scgtplugin.h
  schelptreemodel.h
  scinputdialog.h
  scmenu.h
  scmessagebox.h
  scplugin.h
  scprintengine.h
  scraction.h
  scrapbookpalette.h
  scribus.h
  scribusapp.h
  scribuscore.h
  scribusdoc.h
  scribusview.h
  scribuswin.h
  scrpalettebase.h
  scrspinbox.h
  sctablewidget.h
  sctextbrowser.h
  sctoolbar.h
  sctreewidget.h
  search.h
  selection.h
  selectobjects.h
  selfield.h
  shadebutton.h
  shortcutwidget.h
  smalignselect.h
  smcheckbox.h
  smcolorcombo.h
  smcstylewidget.h
  smfontcomboh.h
  smlinestyle.h
  smlinestylewidget.h
  smpstylewidget.h
  smreplacedia.h
  smsccombobox.h
  smscrspinbox.h
  smshadebutton.h
  smspinbox.h
  smstyleimport.h
  smstyleselect.h
  smtabruler.h
  smtextstyles.h
  spalette.h
  storyeditor.h
  styleitem.h
  stylemanager.h
  styleselect.h
  styleview.h
  tabcheckdoc.h
  tabdisplay.h
  tabdocument.h
  tabexternaltoolswidget.h
  tabgeneral.h
  tabguides.h
  tabkeyboardshortcutswidget.h
  tabmanager.h
  tabmiscellaneous.h
  tabpdfoptions.h
  tabprinter.h
  tabruler.h
  tabscrapbook.h
  tabtools.h
  tabtypography.h
  tocgenerator.h
  tocindexprefs.h
  tt/simpletreemodel/treemodel.h
  ui/copypagetomasterpagedialog.h
  ui/createrange.h
  ui/edittoolbar.h
  ui/filetoolbar.h  
  ui/modetoolbar.h
  ui/pdftoolbar.h
  undogui.h
  undomanager.h
  unicodesearch.h
  upgradechecker.h
  urllauncher.h
  useprintermarginsdialog.h
  vruler.h
)

SET(SCRIBUS_SOURCES
  about.cpp
  aboutplugins.cpp
  actionmanager.cpp
  adjustcmsdialog.cpp
  aligndistribute.cpp
  alignselect.cpp
  annot.cpp
  annota.cpp
  annotation.cpp
  applytemplatedialog.cpp
  arrowchooser.cpp
  autoform.cpp
  autoformbuttongroup.cpp
  basepointwidget.cpp
  bookmarkpalette.cpp
  bookmwin.cpp
  buttonicon.cpp
  canvas.cpp
  canvasgesture_linemove.cpp
  canvasgesture_pan.cpp
  canvasgesture_rectselect.cpp
  canvasgesture_resize.cpp
  canvasgesture_rulermove.cpp
  canvasmode.cpp
  canvasmode_copyproperties.cpp
  canvasmode_create.cpp
  canvasmode_drawbezier.cpp
  canvasmode_drawfreehand.cpp
  canvasmode_eyedropper.cpp
  canvasmode_framelinks.cpp
  canvasmode_edit.cpp
  canvasmode_editgradient.cpp
  canvasmode_legacy.cpp
  canvasmode_magnifier.cpp
  canvasmode_measurements.cpp
  canvasmode_nodeedit.cpp
  canvasmode_normal.cpp
  canvasmode_objimport.cpp
  canvasmode_panning.cpp
  canvasmode_rotate.cpp
  charselect.cpp
  charselectenhanced.cpp
  chartablemodel.cpp
  chartableview.cpp
  charzoom.cpp
  checkDocument.cpp
  cmserrorhandling.cpp
  cmsettings.cpp
  cmsprefs.cpp
  cmykfw.cpp
  collect4output.cpp
  colorblind.cpp
  colorchart.cpp
  colorcombo.cpp
  colorlistbox.cpp
  colorm.cpp
  colorsetmanager.cpp
  commonstrings.cpp
  contextmenu.cpp
  cpalette.cpp
  cupsoptions.cpp
  curvewidget.cpp
  customfdialog.cpp
  dasheditor.cpp
  dcolor.cpp
  deferredtask.cpp
  delpages.cpp
  docinfo.cpp
  docitemattrprefs.cpp
  docsections.cpp
  documentchecker.cpp
  documentinformation.cpp
  editor.cpp
  effectsdialog.cpp
  exif.cpp
  extimageprops.cpp
  fileloader.cpp
  filesearch.cpp
  fileunzip.cpp
  filewatcher.cpp
  fontcombo.cpp
  fontlistmodel.cpp
  fontlistview.cpp
  fontprefs.cpp
  fontreplacedialog.cpp
  fparser.cpp
  fpoint.cpp
  fpointarray.cpp
  fpoptimizer.cpp
  gradienteditor.cpp
  gtaction.cpp
  gtdialogs.cpp
  gtfiledialog.cpp
  gtfont.cpp
  gtframestyle.cpp
  gtgettext.cpp
  gtmeasure.cpp
  gtparagraphstyle.cpp
  gtstyle.cpp
  gtwriter.cpp
  guidemanager.cpp
  guidemanagercore.cpp
  guidesdelegate.cpp
  guidesmodel.cpp
  helpbrowser.cpp
  hruler.cpp
  hyask.cpp
  hyphenator.cpp
  hysettings.cpp
  imageinfodialog.cpp
  insertTable.cpp
  insertaframe.cpp
  inspage.cpp
  ioapi.c
  javadocs.cpp
  KarbonCurveFit.cpp
  langmgr.cpp
  latexeditor.cpp
  latexhelpers.cpp
  layers.cpp
  linecombo.cpp
  linkbutton.cpp
  loadsaveplugin.cpp
  loremipsum.cpp
  marginwidget.cpp
  margindialog.cpp
  masterpagepalette.cpp
  measurements.cpp
  menumanager.cpp
  mergedoc.cpp
  missing.cpp
  movepage.cpp
  multipleduplicate.cpp
  multiprogressdialog.cpp
  navigator.cpp
  newfile.cpp
  newtemp.cpp
  nftdialog.cpp
  nftwidget.cpp
  nftrcreader.cpp
  nftsettings.cpp
  nfttemplate.cpp
  nodeeditpalette.cpp
  observable.cpp
  oneclick.cpp
  outlinepalette.cpp
  page.cpp
  pageitem.cpp
  pageitem_desaxe.cpp
  pageitem_imageframe.cpp
  pageitem_latexframe.cpp
  pageitem_line.cpp
  pageitem_pathtext.cpp
  pageitem_polygon.cpp
  pageitem_polyline.cpp
  pageitem_textframe.cpp
  pageitemattributes.cpp
  pageitempointer.cpp
  pagelayout.cpp
  pagepalette.cpp
  pageselector.cpp
  pagesize.cpp
  patterndialog.cpp
  pdflib.cpp
  pdflib_core.cpp
  pdfoptions.cpp
  pdfoptionsio.cpp
  pdfopts.cpp
  picsearch.cpp
  picsearchoptions.cpp
  picstatus.cpp
  pluginmanager.cpp
  pluginmanagerprefsgui.cpp
  polygonwidget.cpp
  polyprops.cpp
  prefs.cpp
  prefscontext.cpp
  prefsdialogbase.cpp
  prefsfile.cpp
  prefsmanager.cpp
  prefspanel.cpp
  prefsreader.cpp
  prefstable.cpp
  preview.cpp
  printdialog.cpp
  propertiespalette.cpp
  pslib.cpp
  query.cpp
  rawimage.cpp
  rc4.c
  reformdoc.cpp
  replacecolors.cpp
  replaceonecolor.cpp
  rulermover.cpp
  sampleitem.cpp
  scclocale.cpp
  sccolor.cpp
  sccolorengine.cpp
  sccolorshade.cpp
  sccombobox.cpp
  scdocoutput.cpp
  scdocoutput_ps2.cpp
  scfilewidget.cpp
  scfonts.cpp
  scgtplugin.cpp
  scgzfile.cpp
  schelptreemodel.cpp
  scimage.cpp
  scimagestructs.cpp
  scimgdataloader.cpp
  scimgdataloader_gimp.cpp
  scimgdataloader_jpeg.cpp
  scimgdataloader_pdf.cpp
  scimgdataloader_ps.cpp
  scimgdataloader_psd.cpp
  scimgdataloader_qt.cpp
  scimgdataloader_tiff.cpp
  scinputdialog.cpp
  sclayer.cpp
  scmenu.cpp
  scmessagebox.cpp
  scmimedata.cpp
  scpageoutput.cpp
  scpageoutput_ps2.cpp
  scpainter.cpp
  scpainterex_ps2.cpp
  scpainterexbase.cpp
  scpaths.cpp
  scpattern.cpp
  scplugin.cpp
  scpreview.cpp
  scprintengine_ps.cpp
  scraction.cpp
  scrapbookpalette.cpp
  scresizecursor.cpp
  scribus.cpp
  scribusXml.cpp
  scribusapp.cpp
  scribuscore.cpp
  scribusdoc.cpp
  scribusview.cpp
  scribuswin.cpp
  scrpalettebase.cpp
  scrspinbox.cpp
  scslainforeader.cpp
  scstreamfilter.cpp
  scstreamfilter_ascii85.cpp
  scstreamfilter_flate.cpp
  scstreamfilter_rc4.cpp
  sctablewidget.cpp
  sctextbrowser.cpp
  sctextstream.cpp
  sctextstruct.cpp
  sctoolbar.cpp
  sctreewidget.cpp
  search.cpp
  selection.cpp
  selectobjects.cpp
  selfield.cpp
  serializer.cpp
  shadebutton.cpp
  shortcutwidget.cpp
  smalignselect.cpp
  smcheckbox.cpp
  smcolorcombo.cpp
  smcstylewidget.cpp
  smfontcomboh.cpp
  smlinestyle.cpp
  smlinestylewidget.cpp
  smpstylewidget.cpp
  smradiobutton.cpp
  smreplacedia.cpp
  smsccombobox.cpp
  smscrspinbox.cpp
  smshadebutton.cpp
  smspinbox.cpp
  smstyleimport.cpp
  smstyleselect.cpp
  smtabruler.cpp
  smtextstyles.cpp
  spalette.cpp
  splash.cpp
  stencilreader.cpp
  storyeditor.cpp
  styleitem.cpp
  stylemanager.cpp
  styleselect.cpp
  styleview.cpp
  tabcheckdoc.cpp
  tabdisplay.cpp
  tabdocument.cpp
  tabexternaltoolswidget.cpp
  tabgeneral.cpp
  tabguides.cpp
  tabkeyboardshortcutswidget.cpp
  tabmanager.cpp
  tabmiscellaneous.cpp
  tabpdfoptions.cpp
  tabprinter.cpp
  tabruler.cpp
  tabscrapbook.cpp
  tabtools.cpp
  tabtypography.cpp
  tocgenerator.cpp
  tocindexprefs.cpp
  transaction.cpp
  tt/simpletreemodel/treeitem.cpp
  tt/simpletreemodel/treemodel.cpp
  ui/copypagetomasterpagedialog.cpp
  ui/createrange.cpp
  ui/edittoolbar.cpp
  ui/filetoolbar.cpp
  ui/modetoolbar.cpp
  ui/pdftoolbar.cpp
  undogui.cpp
  undomanager.cpp
  undoobject.cpp
  undostack.cpp
  undostate.cpp
  unicodesearch.cpp
  units.cpp
  unzip.c
  updatemanager.cpp
  upgradechecker.cpp
  urllauncher.cpp
  useprintermarginsdialog.cpp
  util.cpp
  util_color.cpp
  util_file.cpp
  util_formats.cpp
  util_ghostscript.cpp
  util_icon.cpp
  util_math.cpp
  util_printer.cpp
  util_text.cpp
  vgradient.cpp
  vgradientex.cpp
  vruler.cpp
)

IF(NOT HAVE_HYPHEN)
  SET(SCRIBUS_SOURCES
    ${SCRIBUS_SOURCES}
    hnjalloc.c
    hyphen.c
  )
ENDIF(NOT HAVE_HYPHEN)

IF(WIN32)
  SET(SCRIBUS_MOC_WIN32_ONLY_CLASSES scprintengine_gdi.h)
  SET(SCRIBUS_WIN32_ONLY_SOURCES
      scpainterex_cairo.cpp
      scprintengine_gdi.cpp
      )
  SET(SCRIBUS_MAIN_CPP main_win32.cpp)
ELSE(WIN32)
  SET(SCRIBUS_MOC_WIN32_ONLY_CLASSES)
  SET(SCRIBUS_WIN32_ONLY_SOURCES)

=== resources/templates/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

INSTALL(FILES
template.xml
  DESTINATION ${TEMPLATEDIR}
)

INSTALL(FILES
template.de.xml
  DESTINATION ${TEMPLATEDIR}
)

INSTALL(FILES
template.hu.xml
  DESTINATION ${TEMPLATEDIR}
)

INSTALL(FILES
br1/br1.png
br1/br1tn.png
br1/map.jpg
br1/br1.sla.gz
  DESTINATION ${TEMPLATEDIR}br1
)

INSTALL(FILES
nl1/kites.jpg
nl1/nl1.png
nl1/nl1tn.png
nl1/nl1.sla.gz
  DESTINATION ${TEMPLATEDIR}nl1
)

INSTALL(FILES
nl2/flowers.jpg
nl2/nl2.png
nl2/nl2tn.png
nl2/nl2.sla.gz
  DESTINATION ${TEMPLATEDIR}nl1
)

INSTALL(FILES
textbased/an_image.jpg
textbased/author.jpg
textbased/textbased.png
textbased/textbased.sla.gz
textbased/textbasedtn.png
  DESTINATION ${TEMPLATEDIR}textbased
)

INSTALL(FILES
pres_backgr_1/blue_orange_vector.sla.gz
pres_backgr_1/blue_orange_vectortn.png
pres_backgr_1/blue_orange_vector.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_1
)

INSTALL(FILES
pres_backgr_2/flood_light.sla.gz
pres_backgr_2/flood_lighttn.png
pres_backgr_2/flood_light.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_2
)

INSTALL(FILES
pres_backgr_3/glass_ripples.sla.gz
pres_backgr_3/glass_ripplestn.png
pres_backgr_3/glass_ripples.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_3
)

INSTALL(FILES
pres_backgr_4/bokeh.sla.gz
pres_backgr_4/Bokehtn.png
pres_backgr_4/Bokeh.png
  DESTINATION ${TEMPLATEDIR}pres_backgr_4
)

INSTALL(FILES
cc/Cheat_Cube.png
cc/Cheat_Cubetn.png
cc/Cheat_Cube.sla.gz
  DESTINATION ${TEMPLATEDIR}cc
)

INSTALL(FILES
mc/menu_template1.png
mc/menu_template1tn.png
mc/menu_template1.sla.gz
  DESTINATION ${TEMPLATEDIR}mc
)

INSTALL(FILES
cover1/cover1.png
cover1/cover1tn.png
cover1/cover1.sla.gz
  DESTINATION ${TEMPLATEDIR}cover1
)

INSTALL(FILES
cover2/cover2.png
cover2/cover2tn.png
cover2/cover2.sla.gz
  DESTINATION ${TEMPLATEDIR}cover2
)

INSTALL(FILES
cover3/cover3.png
cover3/cover3tn.png
cover3/cover3.sla.gz
  DESTINATION ${TEMPLATEDIR}cover3
)

INSTALL(FILES
cover4/cover4.png
cover4/cover4tn.png
cover4/cover4.sla.gz
  DESTINATION ${TEMPLATEDIR}cover4
)

INSTALL(FILES
cover5/cover5.png
cover5/cover5tn.png
cover5/cover5.sla.gz
  DESTINATION ${TEMPLATEDIR}cover5
)

INSTALL(FILES
buscard1/Business_Card_1.png
buscard1/Business_Card_1tn.png
buscard1/buscard1.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard1
)

INSTALL(FILES
buscard2/Business_Card_2.png
buscard2/Business_Card_2tn.png
buscard2/buscard2.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard2
)

INSTALL(FILES
buscard3/Business_Card_3.png
buscard3/Business_Card_3tn.png
buscard3/buscard3.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard3
)

INSTALL(FILES
buscard4/Business_Card_4.png
buscard4/Business_Card_4tn.png
buscard4/buscard4.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard4
)

INSTALL(FILES
buscard5/Business_Card_5.png
buscard5/Business_Card_5tn.png
buscard5/buscard5.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard5
)

INSTALL(FILES
buscard6/Business_Card_6.png
buscard6/Business_Card_6tn.png
buscard6/buscard6.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard6
)

INSTALL(FILES
buscard7/Business_Card_7.png
buscard7/Business_Card_7tn.png
buscard7/buscard7.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard7
)

INSTALL(FILES
buscard8/Business_Card_8.png
buscard8/Business_Card_8tn.png
buscard8/buscard8.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard8
)

INSTALL(FILES
buscard9/Business_Card_9.png
buscard9/Business_Card_9tn.png
buscard9/buscard9.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard9
)

INSTALL(FILES
buscard10/Business_Card_10.png
buscard10/Business_Card_10tn.png
buscard10/buscard10.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard10
)

INSTALL(FILES
buscard11/Business_Card_11.png
buscard11/Business_Card_11tn.png
buscard11/buscard11.sla.gz
  DESTINATION ${TEMPLATEDIR}buscard11
)

INSTALL(FILES
grid_br_a4_l/Brochure_Grid_A4_L.sla.gz
grid_br_a4_l/Brochure_Grid_A4_Ltn.png
grid_br_a4_l/Brochure_Grid_A4_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_a4_l
)

INSTALL(FILES
grid_br_a4_p/Brochure_Grid_A4_P.sla.gz
grid_br_a4_p/Brochure_Grid_A4_Ptn.png
grid_br_a4_p/Brochure_Grid_A4_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_a4_p
)

INSTALL(FILES
grid_br_975x85in_l/Brochure_Grid_975x85in_L.sla.gz
grid_br_975x85in_l/Brochure_Grid_975x85_in_Ltn.png
grid_br_975x85in_l/Brochure_Grid_975x85_in_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_975x85in_l
)

INSTALL(FILES
grid_br_975x85_p/Brochure_Grid_975x85in_P.sla.gz
grid_br_975x85_p/Brochure_Grid_975x85_in_Ptn.png
grid_br_975x85_p/Brochure_Grid_975x85_in_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_975x85_p
)

INSTALL(FILES
grid_br_375x85_p/Brochure_Grid_375x85in_P.sla.gz
grid_br_375x85_p/Brochure_Grid_375x85_in_Ptn.png
grid_br_375x85_p/Brochure_Grid_375x85_in_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_375x85_p
)

INSTALL(FILES
grid_br_375x85_l/Brochure_Grid_375x85in_L.sla.gz
grid_br_375x85_l/Brochure_Grid_375x85_in_Landscapetn.png
grid_br_375x85_l/Brochure_Grid_375x85_in_Landscape.png
  DESTINATION ${TEMPLATEDIR}grid_br_375x85_l
)

INSTALL(FILES
grid_br_100x210_p/Brochure_Grid_100x210_P.sla.gz
grid_br_100x210_p/Brochure_Grid_100x210_Ptn.png
grid_br_100x210_p/Brochure_Grid_100x210_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_100x210_p
)

INSTALL(FILES
grid_br_100x210_l/Brochure_Grid_100x210_L.sla.gz
grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscapetn.png
grid_br_100x210_l/Brochure_Grid_100x210_mm_Landscape.png
  DESTINATION ${TEMPLATEDIR}grid_br_100x210_l
)

INSTALL(FILES
grid_br_55x86in_p/Brochure_Grid_55x85in_P.sla.gz
grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoittn.png
grid_br_55x86in_p/Brochure_Grid_55x85in_Portraoit.png
  DESTINATION ${TEMPLATEDIR}grid_br_55x86in_p
)

INSTALL(FILES
grid_br_55x85in_l/Brochure_Grid_55x85in_L.sla.gz
grid_br_55x85in_l/Brochure_Grid_55x85_in_Ltn.png
grid_br_55x85in_l/Brochure_Grid_55x85_in_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_55x85in_l
)

INSTALL(FILES
grid_poster_a3/Poster_Grid_A3.sla.gz
grid_poster_a3/Poster_Grid_A3tn.png
grid_poster_a3/Poster_Grid_A3.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a3
)

INSTALL(FILES
grid_poster_a2/Poster_Grid_A2.sla.gz
grid_poster_a2/Poster_Grid_A2tn.png
grid_poster_a2/Poster_Grid_A2.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a2
)

INSTALL(FILES
grid_poster_a1/Poster_Grid_A1.sla.gz
grid_poster_a1/Poster_Grid_A1tn.png
grid_poster_a1/Poster_Grid_A1.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a1
)

INSTALL(FILES
grid_poster_a0/Poster_Grid_A0.sla.gz
grid_poster_a0/Poster_Grid_A0tn.png
grid_poster_a0/Poster_Grid_A0.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a0
)

INSTALL(FILES
grid_br_usl_p/Brochure_Grid_USL_P.sla.gz
grid_br_usl_p/Brochure_Grid_USL_Ptn.png
grid_br_usl_p/Brochure_Grid_USL_P.png
  DESTINATION ${TEMPLATEDIR}grid_poster_a0
)

INSTALL(FILES
grid_br_usl_l/Brochure_Grid_USL_L.sla.gz
grid_br_usl_l/Brochure_Grid_USL_Ltn.png
grid_br_usl_l/Brochure_Grid_USL_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_usl_l
)

INSTALL(FILES
grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.sla.gz
grid_br_dinl_p/Brochure_Grid_DIN_LANG_Ptn.png
grid_br_dinl_p/Brochure_Grid_DIN_LANG_P.png
  DESTINATION ${TEMPLATEDIR}grid_br_dinl_p
)

INSTALL(FILES
grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.sla.gz
grid_br_dinl_l/Brochure_Grid_DIN_LANG_Ltn.png
grid_br_dinl_l/Brochure_Grid_DIN_LANG_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_dinl_l
)

INSTALL(FILES
grid_br_a5_p/Brochure_Grid_A5_P.sla.gz
grid_br_a5_p/Brochure_Grid_A5_Portraittn.png
grid_br_a5_p/Brochure_Grid_A5_Portrait.png
  DESTINATION ${TEMPLATEDIR}grid_br_a5_p
)

INSTALL(FILES
grid_br_a5_l/Brochure_Grid_A5_L.sla.gz
grid_br_a5_l/Brochure_Grid_A5_Ltn.png
grid_br_a5_l/Brochure_Grid_A5_L.png
  DESTINATION ${TEMPLATEDIR}grid_br_a5_l
)

INSTALL(FILES
buscard_coll/business_card_collection.sla.gz
buscard_coll/Business_Card_Collectiontn.png
buscard_coll/Business_Card_Collection.png
  DESTINATION ${TEMPLATEDIR}buscard_coll
)

=== scribus/plugins/scriptplugin/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

ADD_SUBDIRECTORY(samples)
ADD_SUBDIRECTORY(scripts)

SET(SCRIPTER_PLUGIN_UI_SRC
  pconsole.ui
  runscriptdialog.ui
  scripterprefsgui.ui
)

SET(SCRIPTER_PLUGIN_MOC_CLASSES
  pconsole.h
  scriptplugin.h
  scriptercore.h
  scripterprefsgui.h
  runscriptdialog.h
)

SET(SCRIPTER_PLUGIN_SOURCES
  cmdcolor.cpp
  cmddialog.cpp
  cmddoc.cpp
  cmdgetprop.cpp
  cmdgetsetprop.cpp
  cmdmani.cpp
  cmdmisc.cpp
  cmdobj.cpp
  cmdpage.cpp
  cmdsetprop.cpp
  cmdstyle.cpp
  cmdtext.cpp
  cmdutil.cpp
  guiapp.cpp
  objimageexport.cpp
  objpdffile.cpp
  objprinter.cpp
  pconsole.cpp
  runscriptdialog.cpp
  scriptercore.cpp
  scripterprefsgui.cpp
  scriptplugin.cpp
  svgimport.cpp
)

SET(SCRIBUS_SCRIPTER_PLUGIN "scriptplugin")

QT4_WRAP_UI(SCRIPTER_PLUGIN_UI_SOURCES ${SCRIPTER_PLUGIN_UI_SRC} )
QT4_WRAP_CPP(SCRIPTER_PLUGIN_MOC_SOURCES ${SCRIPTER_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_SCRIPTER_PLUGIN} MODULE 
  ${SCRIPTER_PLUGIN_SOURCES}
  ${SCRIPTER_PLUGIN_MOC_SOURCES}
  ${SCRIPTER_PLUGIN_UI_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_SCRIPTER_PLUGIN}
  ${PYTHON_LIBRARIES}
)

TARGET_LINK_LIBRARIES(${SCRIBUS_SCRIPTER_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_SCRIPTER_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

ADD_DEPENDENCIES(${SCRIBUS_SCRIPTER_PLUGIN} ${EXE_NAME})

# SET_TARGET_PROPERTIES(${SCRIBUS_SCRIPTER_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/tools/CMakeLists.txt ===
#Subdirectories
ADD_SUBDIRECTORY(2geomtools)
ADD_SUBDIRECTORY(lenseffects)
ADD_SUBDIRECTORY(pathconnect)
ADD_SUBDIRECTORY(pathcut)
ADD_SUBDIRECTORY(pathfinder)
ADD_SUBDIRECTORY(pathstroker)
ADD_SUBDIRECTORY(subdivide)
if (HAVE_ASPELL)
  ADD_SUBDIRECTORY(spellcheck)
endif (HAVE_ASPELL)
ADD_SUBDIRECTORY(transform)

=== scribus/plugins/gettext/textfilter/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(TEXTFILTER_GT_PLUGIN_MOC_CLASSES
tffilter.h
tfdia.h
)

SET(TEXTFILTER_GT_PLUGIN_SOURCES
textfilter.cpp
tffilter.cpp
tfdia.cpp
)

SET(SCRIBUS_TEXTFILTER_GT_PLUGIN "textfilterplugin")

QT4_WRAP_CPP(TEXTFILTER_GT_PLUGIN_MOC_SOURCES ${TEXTFILTER_GT_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_TEXTFILTER_GT_PLUGIN} MODULE ${TEXTFILTER_GT_PLUGIN_SOURCES} ${TEXTFILTER_GT_PLUGIN_MOC_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_TEXTFILTER_GT_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_TEXTFILTER_GT_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}gettext
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/import/svg/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(IMPORTSVG_PLUGIN_MOC_CLASSES
  svgplugin.h
)

SET(IMPORTSVG_PLUGIN_SOURCES
  svgplugin.cpp
)

SET(SCRIBUS_IMPORTSVG_PLUGIN "svgimplugin")

QT4_WRAP_CPP(IMPORTSVG_PLUGIN_MOC_SOURCES ${IMPORTSVG_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_IMPORTSVG_PLUGIN} MODULE ${IMPORTSVG_PLUGIN_SOURCES} ${IMPORTSVG_PLUGIN_MOC_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_IMPORTSVG_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_IMPORTSVG_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

ADD_DEPENDENCIES(${SCRIBUS_IMPORTSVG_PLUGIN} ${EXE_NAME})

# SET_TARGET_PROPERTIES(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/scriptplugin/scripts/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
Autoquote.py
CalendarWizard.py
ColorChart.py
DirectImageImport.py
FontSample.py
InfoBox.py
ChangeLog
NEWS
ReadMe
TODO
color2csv.py
csv2color.py
importcsv2table.py
  DESTINATION ${SCRIPTSDIR}
)

=== scribus/plugins/tools/2geomtools/lib2geom/CMakeLists.txt ===
# PROJECT(lib2geom CXX)
SET(2GEOM_VERSION 0.1.0)
#CB SET(CMAKE_BACKWARDS_COMPATIBILITY 2.4)
#CB SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)

#CB SET(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib)
#CB SET(CMAKE_SKIP_RPATH:BOOL OFF)
#CB SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeScripts)
# INCLUDE(FindBoost)
#CB INCLUDE (CheckIncludeFiles)


# Set Compiler Flags
# SET(CMAKE_CXX_FLAGS "${GTK2_CFLAGS} ${cairo_CFLAGS} -Wall")
#CB SET(CMAKE_CXX_FLAGS "-Wall")
#CB SET(CMAKE_MAKE_PROGRAM "${CMAKE_MAKE_PROGRAM}")
# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

IF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1)
  SET(CMAKE_CXX_FLAGS "$(CMAKE_CXX_FLAGS) -fPIC")
ENDIF (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1)

OPTION(2GEOM_BUILD_SHARED
  "Build lib2geom and libtoy as shared libraries."
  OFF)
SET(LIB_TYPE STATIC)

SET(2GEOM_SRC
svg-path.h
svg-path.cpp
ord.h
path.cpp
path.h
path-intersection.cpp
path-intersection.h
svg-elliptical-arc.h
shape.cpp
shape.h
region.cpp
region.h
crossing.h
crossing.cpp
sweep.cpp
sweep.h
poly.cpp
poly.h
poly-dk-solve.cpp
poly-dk-solve.h
poly-laguerre-solve.cpp
poly-laguerre-solve.h
quadtree.cpp
quadtree.h
matrix.cpp
matrix.h
transforms.cpp
transforms.h
point.h
point.cpp
point-l.h
coord.h
d2.h
d2-sbasis.h
d2-sbasis.cpp
rect.h
piecewise.h
piecewise.cpp
sbasis.cpp
sbasis.h
sbasis-2d.h
sbasis-2d.cpp
sbasis-geometric.cpp
sbasis-geometric.h
sbasis-math.h
sbasis-math.cpp
sbasis-poly.cpp
sbasis-poly.h
sbasis-roots.cpp
sbasis-to-bezier.cpp
sbasis-to-bezier.h
bezier-to-sbasis.h
basic-intersection.h
basic-intersection.cpp
geom.cpp
geom.h
utils.h
exception.h
angle.h
bezier-utils.cpp
bezier-utils.h
choose.h
circulator.h
conjugate_gradient.cpp
conjugate_gradient.h
convex-cover.cpp
convex-cover.h
solve-bezier-one-d.cpp
solve-bezier-parametric.cpp
solver.h
sturm.h
scribushelper.h
scribushelper.cpp
)

# make lib for 2geom
ADD_LIBRARY(2geom ${LIB_TYPE} ${2GEOM_SRC})
TARGET_LINK_LIBRARIES(2geom)
#TARGET_LINK_LIBRARIES(2geom " ${GTK2_LINK_FLAGS}")
#INSTALL(TARGETS 2geom
#  RUNTIME DESTINATION bin
#  LIBRARY DESTINATION lib
#  ARCHIVE DESTINATION lib
#)
#FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
#INSTALL(FILES ${files} DESTINATION include/2geom/2geom)

#CONFIGURE_FILE( ${CMAKE_SOURCE_DIR}/2geom.pc.in
#                ${CMAKE_BINARY_DIR}/2geom.pc @ONLY IMMEDIATE )
#INSTALL(FILES "${CMAKE_BINARY_DIR}/2geom.pc" DESTINATION lib/pkgconfig)
#

=== debian/changelog ===
scribus (1.4.0.dfsg+r17300-1.1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add call to dh_python2 in debian/rules, version build-dep for
      python-all-dev, and remove hard coded python dependency.
    - Recommend icc-profiles-free.
    - Build-depend on libtiff-dev rather than libtiff4-dev.
  * Now that scribus is in universe, restore build-dependency on
    libpodofo-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 12:49:07 +0100

scribus (1.4.0.dfsg+r17300-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dh_testroot: You must run this as root (or use
    fakeroot).":
    debian/rules: fix build{,-arch,-indep} targets and their dependencies.
    (Closes: #666373)

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Jun 2012 18:02:54 +0200

scribus (1.4.0.dfsg+r17300-1ubuntu2) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 11:32:48 +0100

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7), cmake (>= 2.4.3), gcc (>=3.3.5), libqt4-dev (>= 4.6), libcairo2-dev, zlib1g-dev, liblcms1-dev (>= 1.13), libtiff-dev, libcups2-dev, libxml2-dev (>= 2.6.16), gettext, python-all-dev (>= 2.6.6-3~), libaspell-dev,  quilt, libpodofo-dev (>= 0.9.0), libboost-python-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/scribus.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/scribus.git

Package: scribus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-tk, ghostscript (>= 8.61)
Recommends: xfonts-scalable | gsfonts-x11, cups-bsd, icc-profiles-free
Suggests: scribus-template, icc-profiles
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Homepage: http://www.scribus.net/
Description: Open Source Desktop Page Layout - stable branch
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT4.
 .
 Printing, PDF and SVG creation are done via custom driver libraries and
 plug-ins, giving Scribus inventive features: the abilities to include
 presentation effects with PDF output, fully scriptable interactive PDF
 forms, SVG vector file output. The internal printer drivers fully support
 Level 2 and Level 3/PDF 1.4 postscript features including transparency and
 font embedding.
 .
 When run from KDE, Drag and Drop, for example from desktop to the canvas,
 is enabled. There is easy to use drag and drop scrapbook for frequently
 used items such as text blocks, pictures and custom shaped frames.

=== debian/rules ===
#!/usr/bin/make -f

package=scribus
CMAKE=/usr/bin/cmake

#export DH_VERBOSE=1
DEBUG_FLAG=0


DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/scribus
DOC_DIR = $(INSTALL_DIR)/usr/share/doc/scribus
SCRIPTS_DIR = $(INSTALL_DIR)/usr/share/scribus/scripts

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),alpha)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

configure-stamp: patch
	echo "DEB_BUILD_OPTIONS: ${DEB_BUILD_OPTIONS}"
	dh_testdir
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR) && $(CMAKE) \
	    -DWANT_DEBUG:STRING=$(DEBUG_FLAG) \
	    -DWANT_LIB32:BOOL=1 \
	    -DWANT_CAIRO:BOOL=1 \
	    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    -DRPATH_STYLE:STRING=none \
	    -DWANT_VERSIONING:BOOL=0 \
	    -DCUSTOM_VERSIONTAG:STRING="" \
	    -DCMAKE_CXX_FLAGS:STRING='$(OPT_FLAG)' \
	    -DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)' ../../
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	dh_clean
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp install-stamp
	-rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install
	mkdir -p $(INSTALL_DIR)
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR) install DESTDIR=$(INSTALL_DIR)
	mv $(INSTALL_DIR)/usr/share/scribus/scripts/ChangeLog $(INSTALL_DIR)/usr/share/doc/scribus/ChangeLogScripts
	mv $(INSTALL_DIR)/usr/share/scribus/icons/scribus.png $(INSTALL_DIR)/usr/share/pixmaps/scribus.png
	- rm -f $(INSTALL_DIR)/usr/share/doc/scribus/ChangeLogSVN \
	$(DOC_DIR)/AUTHORS \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/changelog \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/PACKAGING \
	$(DOC_DIR)/NEWS \
	$(DOC_DIR)/TODO \
	$(DOC_DIR)/INSTALL \
	$(DOC_DIR)/README.MacOSX \
	$(DOC_DIR)/README.OS2 \
	$(DOC_DIR)/COPYING \
	$(SCRIPTS_DIR)/COPYING \
	$(SCRIPTS_DIR)/NEWS \
	$(SCRIPTS_DIR)/ReadMe \
	$(SCRIPTS_DIR)/TODO \
	$(INSTALL_DIR)/usr/share/applications/vnd.scribus.desktop
	chmod 755 $(INSTALL_DIR)/usr/share/scribus/samples/*.py
	install -m644 debian/scribus.lintian $(INSTALL_DIR)/usr/share/lintian/overrides/scribus
	cp scribus.desktop $(INSTALL_DIR)/usr/share/applications/scribus.desktop
	touch install-stamp

binary-indep: build install
	dh_testdir
	dh_testroot

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a README AUTHORS TODO
	dh_installmenu -a
	dh_installchangelogs ChangeLog
	dh_installmime
	dh_link -a
	dh_python2 -a /usr/share/scribus/scripts
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus/plugins/*.so
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus/plugins/*/*.so
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch binary install patch unpatch build-arch build-indep
